<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Barry'study webpage</title>
        <style>
            body {
        height: 100%;
        background-image: linear-gradient(to right, #fed0fc, #63d1ec);
        overflow: auto;
      }
            *{
                box-sizing: border-box;
            }
            /* body{
                font-family: "STkaiti";
                padding:10px;
                background-color: aliceblue;
            } */
            .header{
                color:blue;
                padding:10px;
                text-align:right;
                background-color:coral;
            }
            .header h2{
                font-size: 50px;
            }
            .header p{
                color: white;
            }
            .topnav{
                overflow: hidden;
                background-color: white;
            }
            .topnav a{
                float:right;
                color: black;
                text-align: right;
                padding:14px 16px;
                text-decoration: solid;
                font-family: STxingkai;
            }
            .topnav a:hover{
                color:red;
                background-color: black;
            }
            .leftcolumn{
                float:left;
                width: 25%;
                height: 800px;
                background-color: white;
                padding-right: 20px;
                font-size: 25px;
                overflow-x: scroll;
            }
            .leftcolumn a{
                background-color:white;
                color:black;
            }
            .leftcolumn a:hover{
                color:red;
                background-color: black;
            }
            .leftcolumn li{
                color:blue;
            }
            .leftcolumn p{
                font-family: STxingkai;
                color:red;
            }
            .rightbody{
                float:right;
                width: 75%;
                background-color: white;
                padding-left: 20px;
                overflow: scroll;
                height:800px;
            }
            .noname{
                background-color:#ddd;
                height:20px;
            }
            .card{
                background-color: white;
                padding:20px;
            }
            .footer{
                text-align: center;
                padding:20px;
                background-color:#ddd;
                margin-top: 20px;
                color:red;
            }
        </style>
    </head>


    <body>
        <div class="kuangjia">
        <div class="header">
            <h2>YuPeng's Study Blog</h2>
        </div>
        <div class="noname"> </div>
        <div class="topnav">
            <a href="https://www.runoob.com/cprogramming/c-tutorial.html">C语言</a>
            <a href="https://www.runoob.com/cplusplus/cpp-tutorial.html">C++</a>
            <a href="https://blog.csdn.net/czc1997/article/details/81254971?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165305438116782425188434%2522%252C%2522scm%2522%253A%252220140713.130102334..%2522%257D&request_id=165305438116782425188434&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~all~sobaiduend~default-4-81254971-null-null.142^v10^control,157^v4^control&utm_term=C%E5%92%8CC%2B%2B&spm=1018.2226.3001.4187">C&&C++</a>
            <a href="http://aiit.iflysse.com/Login_aiit.aspx" style="float:left">i博思</a>
        </div>
        <div class="noname"> </div>
        <div class="leftcolumn">
            <a href="boke.html">首页</a></br>
            <a href="博客页面1.html">上一章</a></br>
            <a href="N.html">下一章</a></br>
        </br>
            <p>热门文章：</p>
            <ul>
                <li>C语言:</li>
                <a href="https://blog.csdn.net/qq_23079443/article/details/81108901?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165311026516781818783602%2522%252C%2522scm%2522%253A%252220140713.130102334..%2522%257D&request_id=165311026516781818783602&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~all~top_positive~default-2-81108901-null-null.142^v10^control,157^v4^control&utm_term=C&spm=1018.2226.3001.4187">C语言入门</a>
            </br>
                <a href="https://mtianyan.blog.csdn.net/article/details/81153740">Linux C语言结构</a>
            </br>
                <a href="https://blog.csdn.net/qq_28514991/article/details/90776887?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165311026516781818762681%2522%252C%2522scm%2522%253A%252220140713.130102334.pc%255Fblog.%2522%257D&request_id=165311026516781818762681&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~blog~first_rank_ecpm_v1~rank_v31_ecpm-6-90776887-null-null.142^v10^control,157^v4^control&utm_term=C&spm=1018.2226.3001.4187">C语言拾遗</a>
                <li>C++:</li>
                <a href="https://blog.csdn.net/weixin_44368437/article/details/117563488?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165311375116782350979819%2522%252C%2522scm%2522%253A%252220140713.130102334..%2522%257D&request_id=165311375116782350979819&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~all~top_positive~default-1-117563488-null-null.142^v10^control,157^v4^control&utm_term=C%2B%2B&spm=1018.2226.3001.4187">C++面向对象程序设计</a>
            </br>
                <a href="https://blog.csdn.net/IamGreeHand/article/details/120411174?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165311375116782350979819%2522%252C%2522scm%2522%253A%252220140713.130102334..%2522%257D&request_id=165311375116782350979819&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~all~top_positive~default-2-120411174-null-null.142^v10^control,157^v4^control&utm_term=C%2B%2B&spm=1018.2226.3001.4187">C++入门基础</a>
            </br>
                <a href="https://blog.csdn.net/yueyuedog/article/details/111996680?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522165311375116782350979819%2522%252C%2522scm%2522%253A%252220140713.130102334..%2522%257D&request_id=165311375116782350979819&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2~all~top_positive~default-3-111996680-null-null.142^v10^control,157^v4^control&utm_term=C%2B%2B&spm=1018.2226.3001.4187x">C++跑酷小游戏</a>
        </br>
            <p>分类专栏：</p>
            <ol>
                <li><a href="https://www.runoob.com/cprogramming/c-standard-library.html">C语言标准库</a></li>
                <li><a href="https://www.runoob.com/cplusplus/cpp-standard-library.html">C++标准库</a></li>
                <li><a href="https://www.runoob.com/cplusplus/cpp-data-structures.html">C++数据结构</a></li>
            </ol>
        </br>
        <p>推荐书目：</p>
        CPrimerPlus(第6版)中文版:
    </br>
        <img src="https://imgconvert.csdnimg.cn/aHR0cHM6Ly9wMS10dC5ieXRlaW1nLmNvbS9vcmlnaW4vcGdjLWltYWdlLzZmZTZhMWNiODA1MDRlZDI4NzdkODEzM2U4ZjVmYTQ3?x-oss-process=image/format,png" width=70% height=150px padding=20px>
    </br>
        C和指针:
        <img src="https://imgconvert.csdnimg.cn/aHR0cHM6Ly9wMS10dC5ieXRlaW1nLmNvbS9vcmlnaW4vcGdjLWltYWdlL2VkNzc1M2RiZGI3YTRiNGJhOTFkYTE5ZDI0YWI0YzQ5?x-oss-process=image/format,png" width="70%" height="150px" padding="20px">
    </br>
        C专家编程:
        <img src="https://imgconvert.csdnimg.cn/aHR0cHM6Ly9wMS10dC5ieXRlaW1nLmNvbS9vcmlnaW4vcGdjLWltYWdlL2FiNzNmZTRhNjI5ZDQxMDBiYzVmMTY2ZmE1NGVlNzdl?x-oss-process=image/format,png" width="70%" height="150px" paddig="20px">

    </div>
    <div class="rightbody">
        <div class="card"> 
            <img src="https://www.runoob.com/wp-content/uploads/2014/09/c-mini-logo.png">
            <h2 style="font-family:STxingkai">C语言简介:</h2>
            <p>2022.5.21</p>
            <h3>C 语言是一种通用的高级语言，最初是由丹尼斯·里奇在贝尔实验室为开发 UNIX 操作系统而设计的。C 语言最开始是于 1972 年在 DEC PDP-11 计算机上被首次实现。

                在 1978 年，布莱恩·柯林汉（Brian Kernighan）和丹尼斯·里奇（Dennis Ritchie）制作了 C 的第一个公开可用的描述，现在被称为 K&R 标准。

                UNIX 操作系统，C编译器，和几乎所有的 UNIX 应用程序都是用 C 语言编写的。由于各种原因，C 语言现在已经成为一种广泛使用的专业语言。</h3>
            <h3>
            <ul>
                <li>易于学习。</li>
                <li>结构化语言。</li>
                <li>它产生高效率的程序。</li>
                <li>它可以处理底层的活动。</li>
                <li>它可以在多种计算机平台上编译。</li>
            </ul></h3>
            <h3>关于C:</h3>
            <h3><ul>
                    <li>C 语言是为了编写 UNIX 操作系统而被发明的。</li>
                    <li>C 语言是以 B 语言为基础的，B 语言大概是在 1970 年被引进的。</li>
                    <li>C 语言标准是于 1988 年由美国国家标准协会（ANSI，全称 American National Standard Institute）制定的。</li>
                    <li>截至 1973 年，UNIX 操作系统完全使用 C 语言编写。</li>
                    <li>目前，C 语言是最广泛使用的系统程序设计语言。</li>
                    <li>大多数先进的软件都是使用 C 语言实现的。</li>
                    <li>当今最流行的 Linux 操作系统和 RDBMS（Relational Database Management System：关系数据库管理系统） MySQL 都是使用 C 语言编写的。</li>
            </ul></h3>
    </div>
        <div class="noname"></div>

        <div class="card">
            <img src="https://www.runoob.com/wp-content/uploads/2015/01/cpp-mini-logo.png">
            <h2 style="font-family:STXINGKAI">C++简介</h2>
            <p>2022.5.21</p>
            <h3>
                C++ 是一种静态类型的、编译式的、通用的、大小写敏感的、不规则的编程语言，支持过程化编程、面向对象编程和泛型编程。
                C++ 被认为是一种中级语言，它综合了高级语言和低级语言的特点。
                C++ 是由 Bjarne Stroustrup 于 1979 年在新泽西州美利山贝尔实验室开始设计开发的。C++ 进一步扩充和完善了 C 语言，最初命名为带类的C，后来在 1983 年更名为 C++。
                C++ 是 C 的一个超集，事实上，任何合法的 C 程序都是合法的 C++ 程序。

                注意：使用静态类型的编程语言是在编译时执行类型检查，而不是在运行时执行类型检查。
            </h3>
                <h3>四大特性（面向对象程序设计）</h3>
            <h3><ol>
                <li>封装</li>
                <li>抽象</li>
                <li>继承</li>
                <li>多态</li>
            </ol></h3>
        </div>
    </div>
    <div class="noname"> </div>
    <div class="footer">
        <h2>Welcome To My blog⚡</h2>
    </div>
    <div class="footer" style="float:left;">
        <h5>Copyright © 2022-2022.（V1.1.1）</h5>
 
     </div>
     <div class="footer" style="float:right;">
       <h2>2022.11.20</h2>
     </div>
    </div>
    </body>
</html> 